import 'package:ef/ef.dart';
import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';
import 'package:flutterflow_ui/flutterflow_ui.dart';
import 'package:vbvs_app/common/color/appConstants.dart';
import 'package:vbvs_app/common/util/FitTool.dart';
import 'package:vbvs_app/component/tool/ClickableContainer.dart';
import 'package:vbvs_app/component/tool/CustomCard.dart';
import 'package:vbvs_app/controller/device/blueteeth_bind_controller.dart';
import 'package:vbvs_app/controller/main_bottom/global_controller.dart';
import 'package:vbvs_app/controller/theme_controller/ThemeController.dart';
import 'package:vbvs_app/controller/user_info_controller.dart';

class ApplyRepairSuccess extends StatefulWidget {
  const ApplyRepairSuccess({super.key});

  @override
  State<ApplyRepairSuccess> createState() => _ApplyRepairSuccessState();
}

class _ApplyRepairSuccessState extends State<ApplyRepairSuccess> {
  GlobalController globalController = Get.find();
  UserInfoController userInfoController = Get.find();
  BlueteethBindController blueteethBindController = Get.find();
  ThemeController themeController = Get.find();

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return LayoutBuilder(
      builder: (context, bodySize) => GestureDetector(
        onTap: () => FocusScope.of(context).unfocus(),
        child: Container(
          decoration: BoxDecoration(
            image: DecorationImage(
              image: AssetImage('assets/img/bgNoImg.png'), // 本地图片
              fit: BoxFit.fill, // 填满整个 Container
            ),
          ),
          child: Scaffold(
            backgroundColor: Colors.transparent, // 加上这一行
            appBar: AppBar(
              backgroundColor: themeController.currentColor.sc17,
              automaticallyImplyLeading: false,
              iconTheme: IconThemeData(
                color: themeController.currentColor.sc3,
              ),
              titleSpacing: 0,
              // leading: returnIconButtom,
              title: Container(
                width: double.infinity,
                height: 180.rpx,
                child: Stack(
                  alignment: Alignment.center,
                  children: [
                    /// 居中标题
                    Text(
                      '报修成功标题'.tr,
                      style: TextStyle(
                        fontFamily: 'Readex Pro',
                        color: themeController.currentColor.sc3,
                        letterSpacing: 0,
                        fontSize: 30.rpx,
                      ),
                    ),

                    /// 左边返回按钮
                    // Positioned(
                    //   left: 0,
                    //   child: returnIconButtom,
                    // ),
                    Positioned(
                      left: 40.rpx,
                      child: ClickableContainer(
                        onTap: () {
                          Get.offNamed("/mianPageBottomChange");
                        },
                        backgroundColor: Colors.transparent,
                        highlightColor: Colors
                            .grey, // 可以设置为 themeController.currentColor.sc3 之类
                        borderRadius: 8.rpx,
                        padding: EdgeInsets.all(8.rpx), // 增加可点击区域
                        child: SvgPicture.asset(
                          'assets/img/icon/close.svg',
                          width: 25.rpx,
                          height: 25.rpx,
                          color: themeController.currentColor.sc3,
                        ),
                      ),
                    ),
                  ],
                ),
              ),

              actions: [],
              centerTitle: false,
            ),

            body: SafeArea(
              top: true,
              child: Padding(
                padding: EdgeInsetsDirectional.fromSTEB(113.rpx, 0, 113.rpx, 0),
                child: Column(
                  mainAxisAlignment: MainAxisAlignment.start,
                  mainAxisSize: MainAxisSize.max,
                  children: [
                    Container(
                      height: bodySize.maxHeight * 0.15,
                    ),
                    Padding(
                      padding: EdgeInsetsDirectional.fromSTEB(0, 0.rpx, 0, 0),
                      child: Container(
                        width: 124.rpx,
                        height: 124.rpx,
                        // width: double.infinity,
                        decoration: BoxDecoration(),
                        child: SvgPicture.asset(
                          'assets/img/icon/tick.svg',
                          fit: BoxFit.cover,
                          color: themeController.currentColor.sc3,
                        ),
                      ),
                    ),
                    Padding(
                      padding:
                          EdgeInsetsDirectional.fromSTEB(20.rpx, 42.rpx, 0, 0),
                      child: Container(
                        width: double.infinity,
                        decoration: BoxDecoration(),
                        child: Align(
                          alignment: AlignmentDirectional(0, 0),
                          child: Text(
                            '报修成功'.tr,
                            style: TextStyle(
                              fontFamily: 'Inter',
                              fontSize: 48.rpx,
                              letterSpacing: 0.0,
                              color: themeController.currentColor.sc3,
                            ),
                          ),
                        ),
                      ),
                    ),

                    SizedBox(
                      height: 90.rpx,
                    ),
                    // Padding(
                    //   padding:
                    //       EdgeInsetsDirectional.fromSTEB(0, 265.rpx, 0, 0),
                    //   child: Container(
                    //     width: double.infinity,
                    //     decoration: BoxDecoration(),
                    //     child: Align(
                    //       alignment: AlignmentDirectional(0, 0),
                    //       child: Text(
                    //         '绑定成功.分享标题'.tr,
                    //         style: FlutterFlowTheme.of(context)
                    //             .bodyMedium
                    //             .override(
                    //               fontFamily: 'Inter',
                    //               fontSize: 30.rpx,
                    //               letterSpacing: 0.0,
                    //               color: themeController.currentColor.sc3,
                    //             ),
                    //       ),
                    //     ),
                    //   ),
                    // ),
                    Padding(
                      padding: EdgeInsetsDirectional.fromSTEB(0, 48.rpx, 0, 0),
                      child: Container(
                        width: double.infinity,
                        decoration: BoxDecoration(),
                        child: Align(
                          alignment: AlignmentDirectional(-1, 0),
                          child: Text(
                            '报修成功标语'.tr,
                            style: TextStyle(
                              fontFamily: 'Inter',
                              fontSize: 26.rpx,
                              letterSpacing: 0.0,
                              color: themeController.currentColor.sc4,
                            ),
                          ),
                        ),
                      ),
                    ),

                    Padding(
                      padding: EdgeInsetsDirectional.fromSTEB(0, 110.rpx, 0, 0),
                      child: CustomCard(
                        borderRadius:
                            AppConstants().button_container_radius, // 圆角半径
                        onTap: () async {
                          Get.toNamed("/repairListPage");
                        },
                        colors: [
                          // 渐变色
                          themeController.currentColor.sc1,
                          themeController.currentColor.sc2,
                        ],
                        child: Container(
                          width: MediaQuery.sizeOf(context).width * 0.66,
                          height: MediaQuery.sizeOf(context).height * 0.055,
                          constraints: BoxConstraints(
                            minWidth: 500.rpx,
                            minHeight: 90.rpx,
                          ),
                          child: Row(
                            mainAxisSize: MainAxisSize.max,
                            mainAxisAlignment: MainAxisAlignment.center,
                            children: [
                              Padding(
                                padding: EdgeInsetsDirectional.fromSTEB(
                                    0, 2.rpx, 0, 0),
                                child: SvgPicture.asset(
                                  'assets/img/icon/history.svg',
                                  width: 25.rpx,
                                  height: 25.rpx, // 如果 SVG 中没有固定颜色，可以这样设置
                                  color: Colors.white,
                                ),
                              ),
                              Text(
                                '查看报修历史'.tr,
                                style: TextStyle(
                                  color: themeController.currentColor.sc3,
                                  fontFamily: 'Inter',
                                  fontSize: AppConstants()
                                      .normal_text_fontSize, // 自定义字体大小
                                  letterSpacing: 0.0,
                                ),
                              ),
                            ].divide(SizedBox(width: 17.rpx)),
                          ),
                        ),
                      ),
                    ),
                    Padding(
                      padding: EdgeInsetsDirectional.fromSTEB(0, 18.rpx, 0, 0),
                      child: CustomCard(
                        borderRadius:
                            AppConstants().button_container_radius, // 圆角半径
                        onTap: () {
                          Get.offNamed("/mianPageBottomChange");
                        },
                        colors: [
                          // 渐变色
                          themeController.currentColor.sc1,
                          themeController.currentColor.sc2,
                        ],

                        child: Container(
                          width: MediaQuery.sizeOf(context).width * 0.66,
                          height: MediaQuery.sizeOf(context).height * 0.055,
                          constraints: BoxConstraints(
                            minWidth: 500.rpx,
                            minHeight: 90.rpx,
                          ),
                          child: Row(
                            mainAxisSize: MainAxisSize.max,
                            mainAxisAlignment: MainAxisAlignment.center,
                            children: [
                              Text(
                                '绑定成功.返回'.tr,
                                style: TextStyle(
                                  color: themeController.currentColor.sc3,
                                  fontFamily: 'Inter',
                                  fontSize: AppConstants()
                                      .normal_text_fontSize, // 自定义字体大小
                                  letterSpacing: 0.0,
                                ),
                              ),
                            ].divide(SizedBox(width: 17.rpx)),
                          ),
                        ),
                      ),
                    ),
                  ],
                ),
              ),
            ),
          ),
        ),
      ),
    );
  }

  Widget _buildDeviceCard(BuildContext context,
      {required String title, required String imageUrl, required String type}) {
    return CustomCard(
      borderRadius: 20.rpx, // 圆角大小
      onTap: () {
        if (type != null) {
          if (type == '1') {
            Get.toNamed("/blueteethDevice");
          }
        }
      },

      colors: [themeController.currentColor.sc17], // 背景色
      child: Container(
        width: double.infinity,
        height: MediaQuery.sizeOf(context).height * 0.135,
        constraints: BoxConstraints(
          minHeight: 220.rpx,
        ),
        padding: EdgeInsetsDirectional.fromSTEB(77.rpx, 0, 21.rpx, 0),
        child: Row(
          mainAxisSize: MainAxisSize.max,
          mainAxisAlignment: MainAxisAlignment.spaceBetween,
          children: [
            Text(
              title,
              style: TextStyle(
                fontFamily: 'Inter',
                color: const Color(0xFFC2CED7),
                fontSize: 30.rpx,
                letterSpacing: 0.0,
              ),
            ),
            ClipRRect(
              borderRadius: BorderRadius.circular(8.rpx),
              child: Image.asset(
                imageUrl,
                width: 212.rpx,
                height: 168.rpx,
              ),
            ),
          ],
        ),
      ),
    );
  }
}
